@import "../../../assets/styles/main.scss";

.orderSummaryMain {
  border-radius: 30px;
  background: getColorHex("white");
  box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
  padding: 30px;
  display: flex;
  flex-flow: column;
  gap: 24px;
  @include lg {
    padding: 20px;
  }
  .orderSummaryHeading {
    h1 {
      font-size: 20px;
      line-height: 24.2px;
    }
  }
  .orderSummaryBorder {
    width: 100%;
    height: 1px;
    // border: 1px dashed #d3dae4;
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%23d3dae4' stroke-width='4' stroke-dasharray='6%2c 14' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
  }
  .orderSummaryPriceListMain {
    display: flex;
    padding: 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 10px;
    background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
    .priceDetail {
      padding: 15px;
      border-radius: 6px;
      background: getColorHex("white");
      width: 100%;
      .priceDiscountList {
        display: flex;
        align-items: center;
        justify-content: space-between;
        border-bottom: 1px solid rgba(236, 239, 244, 0.44);
        padding: 10px 0px;
        &:nth-last-child(1) {
          border-bottom: unset;
          padding-bottom: 0px;
        }
        &:first-child {
          padding-top: 0px;
        }
        p {
          font-size: 10px;
        }
        h2 {
          font-size: 12px;
          color: getColorHex("black");
        }
      }
    }
    .totalPrice {
      padding: 15px;
      border-radius: 6px;
      background: getColorHex("white");
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;
      .totalPriceText {
        display: flex;
        align-items: center;
        gap: 5px;
        img {
          width: 20px;
          height: 20px;
        }
        h1 {
          font-size: 16px;
          color: #3e3e38;
          text-transform: capitalize;
        }
      }
      .displayPriceMain {
        h1 {
          font-size: 16px;
          color: getColorHex("orange");
        }
      }
    }
  }
  .applayCouponCodeHeading {
    h2 {
      font-size: 12px;
      @include inter700;
      color: #000;
    }
  }
  .applyCouponButton {
    button {
      width: 100%;
      border-width: 1px;
      font-size: 14px;
      @include inter400;
      padding: 11px;
      border-radius: 10px;
    }
  }
  .applyActiveCouponCodeButton {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 10px;
    border: 1px solid getColorHex("orange");
    background: rgba(244, 117, 0, 0.13);
    padding: 10px;
    h3 {
      font-size: 14px;
      color: getColorHex("orange");
      font-weight: 400;
    }
    button {
      border-radius: 7px;
      border: 1px solid #f00;
      background: #fff;
      width: 30px;
      height: 30px;
      display: flex;
      align-items: center;
      justify-content: center;
      img {
        max-width: 20px;
        height: 20px;
      }
    }
  }
  .PaymentMethodMain {
    display: flex;
    flex-flow: column;
    gap: 10px;
    .paymentMethodBlock {
      border-radius: 10px;
      border: 3px solid #fff;
      background: linear-gradient(
        270deg,
        #f7f7f7 27.85%,
        #f4f4f4 44.76%,
        #e9e9e9 58.4%
      );
      box-shadow: 0px 0px 9.8px 0px rgba(210, 210, 210, 0.46);
      height: 70px;
      padding: 7px 15px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      @include lg {
        padding: 7px 10px;
      }
      .paymentMethodLeftBlock {
        display: flex;
        align-items: center;
        gap: 10px;
        .paymentCardImage {
          border-radius: 5px;
          background: #fff;
          min-width: 40px;
          height: 40px;
          display: flex;
          justify-content: center;
          align-items: center;
        }
        h3 {
          font-size: 12px;
          color: #000;
          @include inter700;
        }
        p {
          font-size: 8px;
        }
      }
      .paymentMethodrightBlock {
        position: relative;
        input[type="radio"] {
          display: none;
        }

        label {
          cursor: pointer;
          position: absolute;
          right: 0px;
          top: -10px;
          width: 20px;
          height: 20px;
          border: 1px solid #b6b6b6;
          border-radius: 50%;
          transition: border-color 400ms ease;
        }
        input[type="radio"]:checked + label {
          border-color: getColorHex("orange");
        }
        input[type="radio"]:checked + label::after {
          transform: scale(0.55);
        }

        label::after {
          content: "";
          position: absolute;
          width: 24px;
          height: 24px;
          background-color: #f47500;
          border-radius: 50%;
          top: -3px;
          left: -3px;
          transform: scale(0);
          transition: transform 300ms ease;
        }

        input[type="radio"]:checked ~ .planDetails {
          border: 1px solid getColorHex("orange");
        }
      }
    }
  }

  .esimToggleSwitch {
    display: flex;
    flex-flow: column;
    gap: 15px;
    .toggle_switch {
      display: flex;
      align-items: center;
      gap: 10px;
      .switch {
        position: relative;
        display: inline-block;
        min-width: 40px;
        height: 24px;
        input {
          opacity: 0;
          width: 0;
          height: 0;
        }
        .slider {
          position: absolute;
          cursor: pointer;
          top: 0;
          left: 0;
          right: 0;
          bottom: 0;
          background-color: #e8ebf1;
          border: 1px solid #e4e4e4;
          -webkit-transition: 0.4s;
          transition: 0.4s;
          &::before {
            position: absolute;
            content: "";
            height: 20px;
            width: 20px;
            left: 2px;
            bottom: 1px;
            background-color: #263238;
            -webkit-transition: 0.4s;
            transition: 0.4s;
          }
        }
        input:checked + .slider {
          background-color: getColorHex("orange");
        }

        input:checked + .slider:before {
          -webkit-transform: translateX(14px);
          -ms-transform: translateX(14px);
          transform: translateX(14px);
          background-color: getColorHex("white");
        }
      }
      .round {
        border-radius: 34px;
        &::before {
          border-radius: 50%;
        }
      }
      p {
        font-size: 12px;
        @include inter400;
        font-weight: 400;
      }
    }
  }
  .paymentContinueButton {
    padding: 24px 0 0 0;
    button {
      display: flex;
      gap: 10px;
      justify-content: center;
      align-items: center;
      color: #fff;
      border: unset;
      width: 100%;
      border-radius: 10px;
      background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
      height: 50px;
      padding: 11px;
      transition: 0.3s;
      @include inter700;
      border: none;

      .arrowBack {
        display: block;
      }
      .arrowBackOrange {
        display: none;
      }
      &:hover {
        // background: getColorHex("white");
        // border: 1px solid getColorHex("orange");
        // @include transition-3s;
        // p {
        //   color: getColorHex("orange");
        // }
        // .arrowBack {
        //   display: none;
        // }
        // .arrowBackOrange {
        //   display: block;
        // }
      }

      &:disabled {
        cursor: not-allowed;
        background-color: getColorHex("orange", 0.8);
      }
      p {
        color: #fff;
        font-size: 16px;
        @include inter700;
        text-transform: uppercase;
      }
    }

    .successModal {
      :global(.modal-dialog) {
        max-width: 80% !important;
      }
    }
  }
}

.modalHeader {
  background-color: #0056b3;
}
